RESTinio

Classes | Typedefs | Functions
nonstd::optional_lite::detail Namespace Reference

## Classes
struct | alignment_logic
struct | alignment_of
struct | alignment_of_hack
struct | nulltype
union | storage_t
| C++03 constructed union to hold value. More...
struct | struct_t
struct | type_of_size
struct | type_of_size< nulltype, N >
struct | typelist

## Typedefs
typedef nulltype | alignment_types

## Functions
typedef | optional_ALIGN_TYPE (char)
typedef | optional_ALIGN_TYPE (short)
typedef | optional_ALIGN_TYPE (int)
typedef | optional_ALIGN_TYPE (long)
typedef | optional_ALIGN_TYPE (float)
typedef | optional_ALIGN_TYPE (double)
typedef | optional_ALIGN_TYPE (long double)
typedef | optional_ALIGN_TYPE (char *)
typedef | optional_ALIGN_TYPE (short *)
typedef | optional_ALIGN_TYPE (int *)
typedef | optional_ALIGN_TYPE (long *)
typedef | optional_ALIGN_TYPE (float *)
typedef | optional_ALIGN_TYPE (double *)
typedef | optional_ALIGN_TYPE (long double *)
typedef | optional_ALIGN_TYPE (Unknown(*)(Unknown))
typedef | optional_ALIGN_TYPE (Unknown *Unknown::*)
typedef | optional_ALIGN_TYPE (Unknown(Unknown::*)(Unknown))

## Typedef Documentation

## ◆ alignment_types

typedef nulltype nonstd::optional_lite::detail::alignment_types

Definition at line 741 of file optional.hpp.

## Function Documentation

## ◆ optional_ALIGN_TYPE() [1/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | char * |  | ) |

## ◆ optional_ALIGN_TYPE() [2/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | char |  | ) |

## ◆ optional_ALIGN_TYPE() [3/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | double * |  | ) |

## ◆ optional_ALIGN_TYPE() [4/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | double |  | ) |

## ◆ optional_ALIGN_TYPE() [5/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | float * |  | ) |

## ◆ optional_ALIGN_TYPE() [6/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | float |  | ) |

## ◆ optional_ALIGN_TYPE() [7/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | int * |  | ) |

## ◆ optional_ALIGN_TYPE() [8/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | int |  | ) |

## ◆ optional_ALIGN_TYPE() [9/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | long * |  | ) |

## ◆ optional_ALIGN_TYPE() [10/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | long double * |  | ) |

## ◆ optional_ALIGN_TYPE() [11/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | long double |  | ) |

## ◆ optional_ALIGN_TYPE() [12/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | long |  | ) |

## ◆ optional_ALIGN_TYPE() [13/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | short * |  | ) |

## ◆ optional_ALIGN_TYPE() [14/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | short |  | ) |

## ◆ optional_ALIGN_TYPE() [15/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | Unknown *Unknown::* |  | ) |

## ◆ optional_ALIGN_TYPE() [16/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | Unknown(*)(Unknown) |  | ) |

## ◆ optional_ALIGN_TYPE() [17/17]

typedef nonstd::optional_lite::detail::optional_ALIGN_TYPE | ( | Unknown(Unknown::*)(Unknown) |  | ) |